## vmdebootstrap 1.9

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/vmdebootstrap.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/vmdebootstrap.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/vmdebootstrap"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/vmdebootstrap"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== man/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/LavaDispatcher.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/LavaDispatcher.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/LavaDispatcher"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/LavaDispatcher"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== yarns/Makefile ===
# Copyright 2015  Lars Wirzenius
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# =*= License: GPL-3+ =*=


yarns = $(shell ls [0-9][0-9][0-9]-*.yarn)

all: vmdebootstrap-yarns.pdf vmdebootstrap-yarns.html

vmdebootstrap-yarns.pdf: $(yarns) Makefile
	pandoc --chapters \
		--toc \
		--number-sections \
		-V documentclass:report \
		-o $@ $(yarns)

vmdebootstrap-yarns.html: $(yarns) Makefile yarns.css
	pandoc --chapters \
		--toc \
		--number-sections \
		--standalone \
		--self-contained \
		-H yarns.css \
		-o $@ $(yarns)

## vmdebootstrap 0.2

=== debian/changelog ===
vmdebootstrap (0.2-2) unstable; urgency=medium

  * Make kpartx wait whilst the partitions are created.
    (Closes: #741407)
  * Update homepage location.
  * Add a check on the cleanup umount and re-try if
    unable to complete. (Closes: #740310)

 -- Neil Williams <codehelp@debian.org>  Sat, 15 Mar 2014 13:25:21 +0000

vmdebootstrap (0.2-1) unstable; urgency=medium

  * Update for new upstream location and new
    upstream release. (Closes: #728138)
  * Adapt copyright and watch file to new upstream location.

 -- Neil Williams <codehelp@debian.org>  Thu, 21 Nov 2013 22:49:12 +0000

vmdebootstrap (0.1.0-2) unstable; urgency=low

  * Restrict the package to the usable architectures,
    amd64 and i386 only. (Closes: #722921)
  * Fix problem with the orig.tar.gz differing from the
    0.1.0 upstream tag. (Closes: #721668)

 -- Neil Williams <codehelp@debian.org>  Sun, 15 Sep 2013 20:27:32 +0100

vmdebootstrap (0.1.0-1) unstable; urgency=low

  * Initial release (Closes: #711794)

 -- Neil Williams <codehelp@debian.org>  Tue, 23 Jul 2013 13:16:41 +0100

=== debian/control ===
Source: vmdebootstrap
Section: admin
Priority: extra
Maintainer: Neil Williams <codehelp@debian.org>
Uploaders: Lars Wirzenius <liw@liw.fi>,
 Antonio Terceiro <terceiro@debian.org>
Build-Depends: debhelper (>= 8.0.0),
 python | python-all | python-dev | python-all-dev
X-Python-Version: 2.7
Standards-Version: 3.9.5
Homepage: http://git.liw.fi/cgi-bin/cgit/cgit.cgi/vmdebootstrap/
Vcs-Git: git://github.com/codehelp/vmdebootstrap-debian.git
Vcs-Browser: https://github.com/codehelp/vmdebootstrap-debian/tree/master/debian

Package: vmdebootstrap
Architecture: amd64 i386
Depends: debootstrap, extlinux (<< 3:6.00~), qemu-utils,
 parted, mbr, kpartx, python-cliapp, ${python:Depends}, ${misc:Depends}
Description: Bootstrap Debian into a (virtual machine) disk image
 vmdebootstrap is a wrapper around debootstrap to install Debian
 into a disk image, which can be used with a virtual machine (such as KVM).

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with=python2

override_dh_auto_clean:
	$(RM) vmdebootstrap.in

override_dh_auto_install:
	dh_auto_install
	dh_lintian
	cp vmdebootstrap.8.in vmdebootstrap.in

## vmdebootstrap 0.5

=== debian/changelog ===
vmdebootstrap (0.5-2) unstable; urgency=medium

  * Backport patches from upstream master branch to fix creation of images
    larger than 1GB that use extlinux (the default). Closes: #774588
    . In debian/patches/:
      - 0001-fix-creation-of-extlinux-configuration.patch
      - 0002-add-mbr-back-to-support-extlinux-and-check-for-insta.patch

 -- Antonio Terceiro <terceiro@debian.org>  Mon, 02 Feb 2015 18:38:22 -0200

vmdebootstrap (0.5-1) unstable; urgency=medium

  * New upstream bug fix release for Jessie.
  * Allow parted to reserve space for grub2 on disk when
    also using --bootsize option. (Closes: #767913)
  * Move grub2-common to Recommends. (Closes: #767196)
  * Add section on bootloaders to manpage.

 -- Neil Williams <codehelp@debian.org>  Sun, 16 Nov 2014 15:11:34 +0000

vmdebootstrap (0.4-3) unstable; urgency=medium

  * Fix syntax for excluding grub2-common on mips and s390x

 -- Neil Williams <codehelp@debian.org>  Tue, 21 Oct 2014 08:49:03 +0100

vmdebootstrap (0.4-2) unstable; urgency=medium

  * Avoid grub2-common on mips and s390x, falls back
    to extlinux with a warning message.

 -- Neil Williams <codehelp@debian.org>  Mon, 20 Oct 2014 18:38:13 +0100

vmdebootstrap (0.4-1) unstable; urgency=medium

  * Change Default mirror URL to use http://http.debian.net/debian/
    (Closes: #765610)
  * Run update-initramfs -u when installing a kernel package.
    (Closes: #764596)
  * Add devel mailing list as maintainer
  * Add grub2-common as a dependency for grub install support.
  * Set a noninteractive debconf environment for secondstage.

 -- Neil Williams <codehelp@debian.org>  Sat, 18 Oct 2014 20:22:23 +0100

vmdebootstrap (0.3-1) unstable; urgency=medium

  * New upstream release
  * Allows images to not always be owned by root. Thanks to Nick Daly 
    <nick.m.daly@gmail.com> (Closes: #748477)
  * Drop manpage patch, included upstream
  * Drop kpartx patch, included upstream
  * Add example customisation scripts for armhf targets.
  * Recommend qemu to test built images and add notes about bootloaders
    to control file. Drop need for mbr, not used by default

 -- Neil Williams <codehelp@debian.org>  Wed, 27 Aug 2014 23:21:10 -0700

vmdebootstrap (0.2-3) unstable; urgency=medium

  * Drop (<< 3:6.00~) from extlinux dependency (Closes: #748650). I was able
    to generate an image and boot it with kvm just fine with extlinux
    3:6.03~pre1+dfsg-4
  * debian/control: point Vcs-* at collab-maint repository

 -- Antonio Terceiro <terceiro@debian.org>  Tue, 20 May 2014 10:07:15 -0300

=== debian/control ===
Source: vmdebootstrap
Section: admin
Priority: extra
Maintainer: VMDebootstrap List <vmdebootstrap-devel@lists.alioth.debian.org>
Uploaders: Neil Williams <codehelp@debian.org>,
 Lars Wirzenius <liw@liw.fi>,
 Antonio Terceiro <terceiro@debian.org>
Build-Depends: debhelper (>= 8.0.0),
 python | python-all | python-dev | python-all-dev
X-Python-Version: 2.7
Standards-Version: 3.9.6
Homepage: http://git.liw.fi/cgi-bin/cgit/cgit.cgi/vmdebootstrap/
Vcs-Git: git://anonscm.debian.org/collab-maint/vmdebootstrap.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/vmdebootstrap.git;a=summary

Package: vmdebootstrap
Architecture: linux-any
Depends: debootstrap, qemu-utils,
 extlinux [amd64 i386],
 kpartx, parted,
 python-cliapp, ${python:Depends}, ${misc:Depends}
Recommends: grub2-common [!mips !s390x],
 squashfs-tools, qemu-system, qemu-user-static
Description: Bootstrap Debian into a (virtual machine) disk image
 vmdebootstrap is a wrapper around debootstrap to install Debian
 into a disk image, which can be used with a virtual machine (such as KVM).
 .
 syslinux and grub2 bootloaders can be supported, depending on the
 distribution and the architecture. An example of setting up u-boot
 for armhf on a beaglebone-black is included.

## vmdebootstrap 0.9

=== debian/changelog ===
vmdebootstrap (0.9-1) unstable; urgency=medium

  * New upstream release
  * Add UEFI support using grub-efi
  * Ensure that the /etc/network/interfaces.d/ directory
    is created (Closes: #792182)

 -- Neil Williams <codehelp@debian.org>  Sat, 15 Aug 2015 18:13:01 +0200

vmdebootstrap (0.8-1) unstable; urgency=medium

  * New upstream release
  * Use distro-info to handle change in the i386 arch kernel package
    name (Closes: #786767)
  * Change setup_networking to check for /etc/network/interfaces but
    populate /etc/network/interfaces.d/setup (Closes: #788792)
  * Add no-acpid option. (Closes: #784638)
  * Add python-distro-info for release and codename support.

 -- Neil Williams <codehelp@debian.org>  Sun, 28 Jun 2015 11:03:50 +0100

vmdebootstrap (0.7-1) unstable; urgency=medium

  * New upstream release for unstable.
  * Default to armmp kernel variant on armhf. Patches
    from: Vagrant Cascadian <vagrant@debian.org>
    (Closes: #776975)
  * Add vmextract helper.
  * Avoid adding extlinux config when using grub2
    from Jan Gerber <j@mailb.org> (Closes: #742267)
  * Installing grub with boot partition requires an offset
    before the first partition. (Closes: #782307)
  * Only configure console if serial-console is set
    from  Jan Gerber <j@mailb.org> (Closes: #782304)

 -- Neil Williams <codehelp@debian.org>  Sat, 02 May 2015 20:23:36 +0100

vmdebootstrap (0.6-1) experimental; urgency=medium

  * New upstream release
  * Implement support for bootoffset to allow space
    ahead of the first partition.
  * Prints which distribution (and which variant) is
    being debootstrapped (Closes: #767806)
  * Add notes on the types of images supported on ARM.
  * Add option to create swap space inside the KVM, minimum
    size 256Mb. (Closes: #764337)
  * Update manpage to current mirror default. (Closes: #774477)
  * Allow builds under buildbot where there is no tty. Patch
    from Nick Daly <nick.m.daly@gmail.com> (Closes: #747373)

 -- Neil Williams <codehelp@debian.org>  Tue, 23 Dec 2014 16:55:31 +0000

=== debian/control ===
Source: vmdebootstrap
Section: admin
Priority: extra
Maintainer: VMDebootstrap List <vmdebootstrap-devel@lists.alioth.debian.org>
Uploaders: Neil Williams <codehelp@debian.org>,
 Antonio Terceiro <terceiro@debian.org>
Build-Depends: debhelper (>= 8.0.0), dh-python,
 python | python-all | python-dev | python-all-dev
X-Python-Version: 2.7
Standards-Version: 3.9.6
Homepage: http://git.liw.fi/cgi-bin/cgit/cgit.cgi/vmdebootstrap/
Vcs-Git: https://github.com/codehelp/vmdebootstrap-debian.git
Vcs-Browser: https://github.com/codehelp/vmdebootstrap-debian

Package: vmdebootstrap
Architecture: linux-any
Depends: debootstrap, qemu-utils,
 extlinux [amd64 i386],
 mbr, kpartx, parted,
 python-cliapp, python-distro-info,
 ${python:Depends}, ${misc:Depends}
Recommends: grub2-common [!mips !s390x],
 squashfs-tools, python-guestfs, qemu-system, qemu-user-static
Suggests: u-boot:armhf
Description: Bootstrap Debian into a (virtual machine) disk image
 vmdebootstrap is a wrapper around debootstrap to install Debian
 into a disk image, which can be used with a virtual machine (such as KVM).
 .
 syslinux and grub2 bootloaders can be supported, depending on the
 distribution and the architecture. An example of setting up u-boot
 for armhf on a beaglebone-black is included.

## vmdebootstrap 1.4

=== debian/changelog ===
vmdebootstrap (1.4-1) unstable; urgency=medium

  * New upstream release.
  * Add support for root on btrfs with grub. (Closes: #741223)
  * Add support for ppc64el kernel. (Closes: #809457)

 -- Neil Williams <codehelp@debian.org>  Sat, 23 Jan 2016 17:38:14 +0000

vmdebootstrap (1.3-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * cmdtest from backports is needed for the yarns tests.

 -- Neil Williams <codehelp@debian.org>  Wed, 20 Jan 2016 15:52:15 +0000

vmdebootstrap (1.3-1) unstable; urgency=medium

  * Add autopkgtest support for simple internal tests.
  * Add tests on the package include functions and ensure that
    no-kernel option works. (Closes: #808358)
  * Disallow --apt-mirror without using --configure-apt as
    well. (Closes: #806820)
  * Adds support for converting final raw image to qcow2 format.
  * Make update-initramfs call optional. (Closes: #801214)

 -- Neil Williams <codehelp@debian.org>  Sun, 20 Dec 2015 15:15:47 +0000

vmdebootstrap (1.2-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Neil Williams <codehelp@debian.org>  Tue, 17 Nov 2015 17:42:37 +0000

vmdebootstrap (1.2-1) unstable; urgency=medium

  * New upstream release, migrating from experimental.
  * Skip serial-console support except on Wheezy. (Closes: #800910)
  * Add support for mounting and umounting /dev/pts
    (Closes: #802752)
  * Add Iain R. Learmonth as uploader
  * Update VCS locations for alioth.
  * Add cmdtest to Suggests for yarn tests.

 -- Neil Williams <codehelp@debian.org>  Thu, 05 Nov 2015 16:49:48 +0000

vmdebootstrap (1.1-1) experimental; urgency=medium

  * New upstream release for experimental

 -- Neil Williams <codehelp@debian.org>  Sun, 25 Oct 2015 18:10:19 +0000

vmdebootstrap (1.0-1) experimental; urgency=medium

  * New upstream release for experimental.

 -- Neil Williams <codehelp@debian.org>  Sun, 13 Sep 2015 21:37:00 +0100

vmdebootstrap (0.11-1) unstable; urgency=medium

  * New upstream release - handle efi options for wheezy support.
    (Closes: #798225)
  * Add debootstrapopts support to pass debootstrap options unchanged,
    deprecate variant support which this replaces. (Closes: #770722)
  * Reinstate headless supporti. (Closes: #798723)

 -- Neil Williams <codehelp@debian.org>  Sun, 13 Sep 2015 11:15:03 +0100

vmdebootstrap (0.10-1) unstable; urgency=medium

  * New upstream release - handle efi lookup of other
    architectures. (Closes: #797445)

 -- Neil Williams <codehelp@debian.org>  Mon, 31 Aug 2015 18:25:56 +0100

=== debian/control ===
Source: vmdebootstrap
Section: admin
Priority: extra
Maintainer: VMDebootstrap List <vmdebootstrap-devel@lists.alioth.debian.org>
Uploaders: Neil Williams <codehelp@debian.org>,
 Iain R. Learmonth <irl@debian.org>,
 Antonio Terceiro <terceiro@debian.org>
Build-Depends: debhelper (>= 8.0.0), dh-python,
 python-sphinx (>= 1.0.7+dfsg) | python3-sphinx,
 python | python-all | python-dev | python-all-dev,
 python-setuptools (>= 3)
Testsuite: autopkgtest
X-Python-Version: 2.7
Standards-Version: 3.9.6
Homepage: https://vmdebootstrap.alioth.debian.org/
Vcs-Git: https://anonscm.debian.org/git/vmdebootstrap/vmdebootstrap.git
Vcs-Browser: https://anonscm.debian.org/cgit/vmdebootstrap/vmdebootstrap.git/

Package: vmdebootstrap
Architecture: linux-any
Depends: debootstrap, qemu-utils,
 extlinux [amd64 i386],
 mbr, kpartx, parted,
 ${sphinxdoc:Depends}, ${python:Depends}, ${misc:Depends}
Recommends: grub2-common [!mips !s390x],
 squashfs-tools, python-guestfs, qemu-system, qemu-user-static
Suggests: cmdtest, pandoc, u-boot:armhf
Description: Bootstrap Debian into a (virtual machine) disk image
 vmdebootstrap is a wrapper around debootstrap to install Debian
 into a disk image, which can be used with a virtual machine (such as KVM).
 .
 syslinux and grub2 bootloaders can be supported, depending on the
 distribution and the architecture. An example of setting up u-boot
 for armhf on a beaglebone-black is included.
 .
 This package also includes documentation on using vmdebootstrap
 to create installation images and live images.

=== debian/watch ===
version=3
http://git.liw.fi/cgi-bin/cgit/cgit.cgi/vmdebootstrap/refs/ /cgi-bin/cgit/cgit.cgi/vmdebootstrap/snapshot/vmdebootstrap-(.+)\.tar\.gz

## vmdebootstrap 1.6

=== debian/changelog ===
vmdebootstrap (1.6-1) unstable; urgency=medium

  * Deprecating extlinux as default - to switch to grub in a
    future release.
  * Fix customisation support for alternative mirrors.
  * Switch to --no-systemd-networkd in man page (Closes: #831025)
  * Enable systemd-resolved together with systemd-networkd to
    ensure the final image has working DNS. (Closes: #831439)
  * Reset umask before creating files and restore. (Closes: #822180)
  * Disable ext4 with wheezy image (Closes: #822452)
  * Update documentation for --customize. (Closes: #826275)
  * Umount before doing the qcow2 conversion. (Closes: #831029)
  * Ensure chown is called after the qcow2 conversion. (Closes: #831030)
  * Exclude metadata_csum when building ext4 jessie images
    (Closes: #827130)
  * Support dependencies of custom packages. (Closes: #833398)

 -- Neil Williams <codehelp@debian.org>  Sun, 17 Jul 2016 15:29:01 +0100

vmdebootstrap (1.5-1) unstable; urgency=medium

  * Improve documentation of SIZE setting. (Closes: #812727)
  * Set boot partition type based on boottype. 
    (Closes: #815256)
  * Fix issue with fstab entry for boot partition. 
    (Closes: #815255)
  * Catch typos where the requested size is too small for a
    bootstrap. (Closes: #811464)

 -- Neil Williams <codehelp@debian.org>  Sun, 13 Mar 2016 14:44:53 +0000

=== debian/control ===
--- 
+++ 
@@ -11,20 +11,19 @@
  python-setuptools (>= 3)
 Testsuite: autopkgtest
 X-Python-Version: 2.7
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: https://vmdebootstrap.alioth.debian.org/
 Vcs-Git: https://anonscm.debian.org/git/vmdebootstrap/vmdebootstrap.git
 Vcs-Browser: https://anonscm.debian.org/cgit/vmdebootstrap/vmdebootstrap.git/
 
 Package: vmdebootstrap
 Architecture: linux-any
-Depends: debootstrap, qemu-utils,
+Depends: debootstrap, qemu-utils, kpartx, parted,
+ ${sphinxdoc:Depends}, ${python:Depends}, ${misc:Depends}
+Recommends: dosfstools, grub2-common [!mips !s390x],
  extlinux [amd64 i386],
- mbr, kpartx, parted,
- ${sphinxdoc:Depends}, ${python:Depends}, ${misc:Depends}
-Recommends: grub2-common [!mips !s390x],
  squashfs-tools, python-guestfs, qemu-system, qemu-user-static
-Suggests: cmdtest, pandoc, u-boot:armhf
+Suggests: cmdtest, mbr, pandoc, u-boot:armhf
 Description: Bootstrap Debian into a (virtual machine) disk image
  vmdebootstrap is a wrapper around debootstrap to install Debian
  into a disk image, which can be used with a virtual machine (such as KVM).

## vmdebootstrap 1.7

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: admin
 Priority: extra
 Maintainer: VMDebootstrap List <vmdebootstrap-devel@lists.alioth.debian.org>
-Uploaders: Neil Williams <codehelp@debian.org>,
+Uploaders: Lars Wirzenius <liw@liw.fi>,
  Iain R. Learmonth <irl@debian.org>,
  Antonio Terceiro <terceiro@debian.org>
 Build-Depends: debhelper (>= 8.0.0), dh-python,

## vmdebootstrap 1.9

=== debian/changelog ===
vmdebootstrap (1.9-1) unstable; urgency=medium

  * Add NEWS.Debian to warn about vmdebootstrap going away.

 -- Lars Wirzenius <liw@liw.fi>  Sat, 24 Feb 2018 20:54:16 +0200

vmdebootstrap (1.8-1) unstable; urgency=medium

  * New upstream version
  * Add Steve to Uploaders. He did two NMUs and is willing. Drop
    Antonio, by request.
  * Set home page to current.
  * Update Vcs-* links (Closes: #874525)

 -- Lars Wirzenius <liw@liw.fi>  Sun, 17 Sep 2017 17:02:13 +0300

vmdebootstrap (1.7-1+nmu2) unstable; urgency=medium

  * Don't try to use linux-image-586 on modern i386 systems.
    Closes: #869714.

 -- Steve McIntyre <93sam@debian.org>  Fri, 15 Sep 2017 17:48:44 +0100

vmdebootstrap (1.7-1+nmu1) unstable; urgency=medium

  * Add tweaks used for official debian-live builds. Closes: #861069

 -- Steve McIntyre <93sam@debian.org>  Wed, 19 Jul 2017 14:39:22 +0100

vmdebootstrap (1.7-1) unstable; urgency=medium

  * New maintainer: Lars Wirzenius replaces Neil Williams.

 -- Lars Wirzenius <liw@liw.fi>  Sun, 11 Sep 2016 18:07:37 +0300

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: VMDebootstrap List <vmdebootstrap-devel@lists.alioth.debian.org>
 Uploaders: Lars Wirzenius <liw@liw.fi>,
  Iain R. Learmonth <irl@debian.org>,
- Antonio Terceiro <terceiro@debian.org>
+ Steve McIntyre <93sam@debian.org>
 Build-Depends: debhelper (>= 8.0.0), dh-python,
  python-sphinx (>= 1.0.7+dfsg) | python3-sphinx,
  python | python-all | python-dev | python-all-dev,
@@ -12,9 +12,9 @@
 Testsuite: autopkgtest
 X-Python-Version: 2.7
 Standards-Version: 3.9.8
-Homepage: https://vmdebootstrap.alioth.debian.org/
-Vcs-Git: https://anonscm.debian.org/git/vmdebootstrap/vmdebootstrap.git
-Vcs-Browser: https://anonscm.debian.org/cgit/vmdebootstrap/vmdebootstrap.git/
+Homepage: https://liw.fi/vmdebootstrap/
+Vcs-Git: git://git.liw.fi/vmdebootstrap
+Vcs-Browser: http://git.liw.fi/vmdebootstrap
 
 Package: vmdebootstrap
 Architecture: linux-any

## vmdebootstrap 1.11

=== debian/changelog ===
vmdebootstrap (1.11-2) unstable; urgency=medium

  * Replacs Lars as maintainer
  * Tweak the doc build - add .decode() to fix byte/string TypeError

 -- Steve McIntyre <93sam@debian.org>  Sun, 31 Mar 2019 16:57:20 +0700

vmdebootstrap (1.11-1) unstable; urgency=medium

  * Fix maintainer address in debian/control.

 -- Lars Wirzenius <liw@liw.fi>  Fri, 27 Apr 2018 17:07:58 +0300

vmdebootstrap (1.10-1) unstable; urgency=medium

  * Dropped Alioth list as maintainer. Alioth lists are going away.
    Also, vmdebootstrap is going away, no point in arranging a new
    list.

 -- Lars Wirzenius <liw@liw.fi>  Fri, 27 Apr 2018 16:41:51 +0300

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,8 @@
 Source: vmdebootstrap
 Section: admin
 Priority: extra
-Maintainer: VMDebootstrap List <vmdebootstrap-devel@lists.alioth.debian.org>
-Uploaders: Lars Wirzenius <liw@liw.fi>,
- Iain R. Learmonth <irl@debian.org>,
- Steve McIntyre <93sam@debian.org>
+Maintainer: Steve McIntyre <93sam@debian.org>
+Uploaders:  Iain R. Learmonth <irl@debian.org>
 Build-Depends: debhelper (>= 8.0.0), dh-python,
  python-sphinx (>= 1.0.7+dfsg) | python3-sphinx,
  python | python-all | python-dev | python-all-dev,
